playerc_vectormap_t Struct Reference
vectormap

Vectormap proxy. More...

`#include <playerc.h>`

## Public Attributes

playerc_device_t | info
| Device info; must be at the start of all device structures. More...
uint32_t | srid
| Spatial reference identifier. More...
player_extent2d_t | extent
| Boundary area. More...
uint32_t | layers_count
| The number of layers. More...
player_vectormap_layer_data_t ** | layers_data
| Layer data. More...
player_vectormap_layer_info_t ** | layers_info
| Layer info. More...
playerwkbprocessor_t | wkbprocessor
| WKB processor instance if you want to deal with WKB data.

## Detailed Description

Vectormap proxy.

## Member Data Documentation

player_extent2d_t playerc_vectormap_t::extent

Boundary area.

playerc_device_t playerc_vectormap_t::info

Device info; must be at the start of all device structures.

uint32_t playerc_vectormap_t::layers_count

The number of layers.

player_vectormap_layer_data_t** playerc_vectormap_t::layers_data

Layer data.

player_vectormap_layer_info_t** playerc_vectormap_t::layers_info

Layer info.

uint32_t playerc_vectormap_t::srid

Spatial reference identifier.

Use '0' if you are not using spatial references.

The documentation for this struct was generated from the following file:

- playerc.h

Last updated 12 September 2005 21:38:45